/*
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 1, or (at your option)
** any later version.

** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.

** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
#include "ia_tray_dialog.h"
#include "ui_ia_tray_dialog.h"

ia_tray_dialog::ia_tray_dialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::ia_tray_dialog)
{
    ui->setupUi(this);
}

ia_tray_dialog::~ia_tray_dialog()
{
    delete ui;
}

void ia_tray_dialog::changeEvent(QEvent *e)
{
    QDialog::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}

bool ia_tray_dialog::getstate(){
    if(this->ui->checkBox->checkState() == Qt::Unchecked){
        return false;
    }else{
        return true;
    }
}
