#ifdef WIN32
#include "win_path_provider.h"
typedef WinPathProvider PlatformPathProvider;
#elif defined(MAC)
#include "mac_path_provider.h"
typedef MacPathProvider PlatformPathProvider;
#else
#include "unix_path_provider.h"
typedef UnixPathProvider PlatformPathProvider;
#endif
